Package org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider

# Interface NodeAttributeProviderState<T extends com.vladsch.flexmark.util.ast.Node>

All Known Implementing Classes:
  `ExternalLinkAttributeProviderState`, `ImageLinkAttributeProviderState`, `InterWikiLinkAttributeProviderState`, `LocalEditLinkAttributeProviderState`, `LocalFootnoteLinkAttributeProviderState`, `LocalFootnoteRefLinkAttributeProviderState`, `LocalLinkAttributeProviderState`, `LocalReadLinkAttributeProviderState`, `WysiwygEditingAttributeProviderState`

public interface NodeAttributeProviderState<T extends com.vladsch.flexmark.util.ast.Node>
Encapsulates different attribute's set for different kinds of nodes.

## Method Summary

Modifier and Type
Method
Description
`void`
`setAttributes(com.vladsch.flexmark.util.html.MutableAttributes attributes, T node)`
Sets node's attributes.

## Method Details

### setAttributes

void setAttributes(com.vladsch.flexmark.util.html.MutableAttributes attributes, T node)
Sets node's attributes.

Parameters:
  `attributes` - node attributes.
  `node` - the specific node in which the attributes are going to be set.